1. Digital certificate
  2. Upload A1 certificate
POST
/certificates/upload
curl --request POST \
     --url https://api.treeunfe.com.br/api/v1/certificates/upload \
     --header 'x-api-key: <api-key>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "file": "<string>",
  "password": "<string>"
}'

Uploads the organization’s A1 digital certificate (.pfx) and its password.

​
Authentication

x-api-key
required
string

The organization’s API Key (rawKey).

​
Body

multipart/form-data

file
required
string

The A1 certificate’s .pfx file.

password
required
string

The certificate’s password.

​
Responses

StatusDescription
201Certificate registered.
400Invalid file or wrong password.
401Credential missing, invalid, or expired.
curl -X POST "https://api.treeunfe.com.br/api/v1/certificates/upload" \
  -H "x-api-key: ORGANIZATION_RAW_KEY" \
  -F "file=@certificado.pfx" \
  -F "password=CERTIFICATE_PASSWORD"